package postgres

import (
	"errors"
	"fmt"
)

var ErrMultipleCronJobs = errors.New("multiple dump cron jobs found")
var ErrNoCronJob = errors.New("no dump cron job found")
var ErrCronJobFailed = errors.New("cron job failed")
var ErrInvalidMemberList = errors.New("failed to parse member list")
var ErrInvalidMemberCount = errors.New("the number of members don't match intention")
var ErrMemberNotRunning = errors.New("a member is not running")
var ErrMembersOutOfSync = errors.New("members are out of sync (not the same TL)")
var ErrSwitchoverFailed = errors.New("failed to switchover")

func (pg *Postgres) WrapError(err error) error {
	return fmt.Errorf("%w for %s", err, pg.GetNamespaceName())
}
